설치

Java

Java 라이브러리를 설치하려면 프로젝트의 POM에 다음 종속성을 추가합니다.

<dependency> 
   <groupId>com.livefyre</groupId> 
   <artifactId>livefyre</artifactId> 
   <version>2.0.3</version> 
</dependency>

Java 라이브러리에는 다음 모듈에 대한 종속성이 있습니다.

<dependency> 
   <groupId>com.sun.jersey</groupId> 
   <artifactId>jersey-client</artifactId> 
   <version>[1.18.1,)</version> 
</dependency> 
<dependency> 
   <groupId>com.google.code.gson</groupId> 
   <artifactId>gson</artifactId> 
   <version>[2.3,)</version> 
</dependency> 
<dependency> 
   <groupId>com.google.guava</groupId> 
   <artifactId>guava</artifactId> 
   <version>[18.0,)</version> 
</dependency> 
<dependency> 
   <groupId>org.apache.commons</groupId> 
   <artifactId>commons-lang3</artifactId> 
   <version>[3.0.1,)</version> 
</dependency> 
<dependency> 
   <groupId>org.bitbucket.b_c</groupId> 
   <artifactId>jose4j</artifactId> 
   <version>[0.4.1,)</version> 
</dependency> 

자세한 내용은 Java 문서를 읽어보거나 GitHub에서 소스를 참조하십시오.

NodeJS

NodeJS 라이브러리를 설치하려면 다음 줄을 실행합니다.

$ npm install livefyre

NodeJS 라이브러리에는 다음 모듈에 대한 종속성이 있습니다.

"restler":">=3.2.0", 
"validator":"=3.5.0", 
"jsonwebtoken": ">=5.0.0" 

자세한 내용은 NodeJs 문서를 읽어보거나 GitHub에서 소스를 참조하십시오.

링크: Restler, 유효성 검사기, jsonwebtoken

PHP

Composer와 함께 PHP 라이브러리를 설치하려면 composer.json에 추가합니다.

"require": { 
   "livefyre/livefyre-php-utils": "2.0.4" 
}

그런 다음 를 사용하여 를 설치합니다.

composer.phar install 

Composer를 사용하지 않는 을 사용하는 경우 다음을 사용하여 라이브러리의 최신 버전을 얻습니다.

git clone https://github.com/Livefyre/livefyre-php-utils 

라이브러리를 사용하려면 PHP 스크립트에 다음을 추가합니다.

require_once("/path/to/livefyre-php-utils/src/Livefyre.php"); 

PHP 라이브러리에는 다음 모듈에 대한 종속성이 있습니다.

"ext-json": "*", 
"rmccue/requests": ">=1.0" 
"firebase/php-jwt": ">=2.0" 

자세한 내용은 PHP 문서를 읽어보거나 GitHub에서 소스를 참조하십시오.

링크: ext-json, 요청, PHP-JWT

파이톤

Python 라이브러리를 설치하려면 다음 행을 실행합니다.

$ pip install livefyre

Python 라이브러리에는 다음 모듈에 대한 종속성이 있습니다.

PyJWT >= 1.0.1  
requests >= 2.2.1  
python-dateutil >= 2.2  
enum34 == 1.0  
ordereddict == 1.1 if sys.version_info[:2] < 2.7 

자세한 내용은 Python 문서를 읽어보거나 GitHub에서 소스를 참조하십시오.

링크: PyJWT, 요청, Python-Dateutil, Enum34, OrderedDict

루비

Ruby 라이브러리를 설치하려면 응용 프로그램의 Gemfile에 다음 줄을 추가합니다.

gem 'livefyre' 

또는 직접 설치합니다.

$ gem install livefyre

Ruby 라이브러리에는 다음 모듈에 대한 종속성이 있습니다.

"jwt", '~> 1.4', ">= 1.4.1"  
"rest-client", '~> 1.8', ">= 1.8.0"  
"addressable", '~> 2.3', ">= 2.3.6" 

자세한 내용은 Ruby 문서를 읽어보거나 GitHub에서 소스를 참조하십시오.

링크: Ruby JWT, REST 클라이언트, 대응 가능

이 페이지에서는